﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="Хранилище Model" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Client">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="LastName" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="FirstName" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="Patronymic" Type="nvarchar" MaxLength="50" />
          <Property Name="Phone" Type="nchar" MaxLength="20" Nullable="false" />
          <Property Name="Email" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="GenderID" Type="int" Nullable="false" />
          <Property Name="RegistrationDate" Type="datetime2" Precision="7" Nullable="false" />
          <Property Name="Password" Type="nvarchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Employe">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="LastName" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="FirstName" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="Patronymic" Type="nvarchar" MaxLength="50" />
          <Property Name="Phone" Type="nchar" MaxLength="20" Nullable="false" />
          <Property Name="Email" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="PositionID" Type="int" Nullable="false" />
          <Property Name="GenderID" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Gender">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="30" Nullable="false" />
        </EntityType>
        <EntityType Name="Order">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="EmployeID" Type="int" Nullable="false" />
          <Property Name="ClientID" Type="int" Nullable="false" />
          <Property Name="OrderDate" Type="datetime" Nullable="false" />
        </EntityType>
        <EntityType Name="Position">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="Salary" Type="decimal" Precision="10" Scale="2" Nullable="false" />
        </EntityType>
        <EntityType Name="Product">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Title" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="ProductTypeID" Type="int" Nullable="false" />
          <Property Name="Price" Type="decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="Discrtiption" Type="nvarchar(max)" Nullable="false" />
          <Property Name="QuantityInStock" Type="int" Nullable="false" />
          <Property Name="Photo" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="ProductOrder">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="OrderID" Type="int" Nullable="false" />
          <Property Name="ProductID" Type="int" Nullable="false" />
          <Property Name="Quantity" Type="int" />
        </EntityType>
        <EntityType Name="ProductType">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Title" Type="nvarchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="principal_id" Type="int" Nullable="false" />
          <Property Name="diagram_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="version" Type="int" />
          <Property Name="definition" Type="varbinary(max)" />
        </EntityType>
        <Association Name="FK_Client_Gender">
          <End Role="Gender" Type="Self.Gender" Multiplicity="1" />
          <End Role="Client" Type="Self.Client" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Gender">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Client">
              <PropertyRef Name="GenderID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Employe_Gender">
          <End Role="Gender" Type="Self.Gender" Multiplicity="1" />
          <End Role="Employe" Type="Self.Employe" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Gender">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Employe">
              <PropertyRef Name="GenderID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Employe_Position">
          <End Role="Position" Type="Self.Position" Multiplicity="1" />
          <End Role="Employe" Type="Self.Employe" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Position">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Employe">
              <PropertyRef Name="PositionID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Order_Client">
          <End Role="Client" Type="Self.Client" Multiplicity="1" />
          <End Role="Order" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Client">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Order">
              <PropertyRef Name="ClientID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Order_Employe">
          <End Role="Employe" Type="Self.Employe" Multiplicity="1" />
          <End Role="Order" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Employe">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Order">
              <PropertyRef Name="EmployeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Product_ProductType">
          <End Role="ProductType" Type="Self.ProductType" Multiplicity="1" />
          <End Role="Product" Type="Self.Product" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductType">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Product">
              <PropertyRef Name="ProductTypeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductOrder_Order">
          <End Role="Order" Type="Self.Order" Multiplicity="1" />
          <End Role="ProductOrder" Type="Self.ProductOrder" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Order">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="ProductOrder">
              <PropertyRef Name="OrderID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductOrder_Product">
          <End Role="Product" Type="Self.Product" Multiplicity="1" />
          <End Role="ProductOrder" Type="Self.ProductOrder" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Product">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="ProductOrder">
              <PropertyRef Name="ProductID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Function Name="fn_diagramobjects" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="true" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" ReturnType="int" />
        <Function Name="sp_alterdiagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
          <Parameter Name="version" Type="int" Mode="In" />
          <Parameter Name="definition" Type="varbinary(max)" Mode="In" />
        </Function>
        <Function Name="sp_creatediagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
          <Parameter Name="version" Type="int" Mode="In" />
          <Parameter Name="definition" Type="varbinary(max)" Mode="In" />
        </Function>
        <Function Name="sp_dropdiagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
        </Function>
        <Function Name="sp_helpdiagramdefinition" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
        </Function>
        <Function Name="sp_helpdiagrams" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
        </Function>
        <Function Name="sp_renamediagram" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="diagramname" Type="nvarchar" Mode="In" />
          <Parameter Name="owner_id" Type="int" Mode="In" />
          <Parameter Name="new_diagramname" Type="nvarchar" Mode="In" />
        </Function>
        <Function Name="sp_upgraddiagrams" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" />
        <EntityContainer Name="Хранилище ModelContainer">
          <EntitySet Name="Client" EntityType="Self.Client" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Employe" EntityType="Self.Employe" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Gender" EntityType="Self.Gender" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Order" EntityType="Self.Order" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Position" EntityType="Self.Position" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Product" EntityType="Self.Product" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ProductOrder" EntityType="Self.ProductOrder" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ProductType" EntityType="Self.ProductType" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_Client_Gender" Association="Self.FK_Client_Gender">
            <End Role="Gender" EntitySet="Gender" />
            <End Role="Client" EntitySet="Client" />
          </AssociationSet>
          <AssociationSet Name="FK_Employe_Gender" Association="Self.FK_Employe_Gender">
            <End Role="Gender" EntitySet="Gender" />
            <End Role="Employe" EntitySet="Employe" />
          </AssociationSet>
          <AssociationSet Name="FK_Employe_Position" Association="Self.FK_Employe_Position">
            <End Role="Position" EntitySet="Position" />
            <End Role="Employe" EntitySet="Employe" />
          </AssociationSet>
          <AssociationSet Name="FK_Order_Client" Association="Self.FK_Order_Client">
            <End Role="Client" EntitySet="Client" />
            <End Role="Order" EntitySet="Order" />
          </AssociationSet>
          <AssociationSet Name="FK_Order_Employe" Association="Self.FK_Order_Employe">
            <End Role="Employe" EntitySet="Employe" />
            <End Role="Order" EntitySet="Order" />
          </AssociationSet>
          <AssociationSet Name="FK_Product_ProductType" Association="Self.FK_Product_ProductType">
            <End Role="ProductType" EntitySet="ProductType" />
            <End Role="Product" EntitySet="Product" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductOrder_Order" Association="Self.FK_ProductOrder_Order">
            <End Role="Order" EntitySet="Order" />
            <End Role="ProductOrder" EntitySet="ProductOrder" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductOrder_Product" Association="Self.FK_ProductOrder_Product">
            <End Role="Product" EntitySet="Product" />
            <End Role="ProductOrder" EntitySet="ProductOrder" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="Model" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Client">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="LastName" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="FirstName" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Patronymic" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="Phone" Type="String" MaxLength="20" FixedLength="true" Unicode="true" Nullable="false" />
          <Property Name="Email" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="GenderID" Type="Int32" Nullable="false" />
          <Property Name="RegistrationDate" Type="DateTime" Nullable="false" Precision="7" />
          <Property Name="Password" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="Gender" Relationship="Self.FK_Client_Gender" FromRole="Client" ToRole="Gender" />
          <NavigationProperty Name="Order" Relationship="Self.FK_Order_Client" FromRole="Client" ToRole="Order" />
        </EntityType>
        <EntityType Name="Employe">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="LastName" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="FirstName" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Patronymic" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="Phone" Type="String" MaxLength="20" FixedLength="true" Unicode="true" Nullable="false" />
          <Property Name="Email" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="PositionID" Type="Int32" Nullable="false" />
          <Property Name="GenderID" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Gender" Relationship="Self.FK_Employe_Gender" FromRole="Employe" ToRole="Gender" />
          <NavigationProperty Name="Position" Relationship="Self.FK_Employe_Position" FromRole="Employe" ToRole="Position" />
          <NavigationProperty Name="Order" Relationship="Self.FK_Order_Employe" FromRole="Employe" ToRole="Order" />
        </EntityType>
        <EntityType Name="Gender">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Name" Type="String" MaxLength="30" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="Client" Relationship="Self.FK_Client_Gender" FromRole="Gender" ToRole="Client" />
          <NavigationProperty Name="Employe" Relationship="Self.FK_Employe_Gender" FromRole="Gender" ToRole="Employe" />
        </EntityType>
        <EntityType Name="Order">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="EmployeID" Type="Int32" Nullable="false" />
          <Property Name="ClientID" Type="Int32" Nullable="false" />
          <Property Name="OrderDate" Type="DateTime" Nullable="false" Precision="3" />
          <NavigationProperty Name="Client" Relationship="Self.FK_Order_Client" FromRole="Order" ToRole="Client" />
          <NavigationProperty Name="Employe" Relationship="Self.FK_Order_Employe" FromRole="Order" ToRole="Employe" />
          <NavigationProperty Name="ProductOrder" Relationship="Self.FK_ProductOrder_Order" FromRole="Order" ToRole="ProductOrder" />
        </EntityType>
        <EntityType Name="Position">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Name" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Salary" Type="Decimal" Precision="10" Scale="2" Nullable="false" />
          <NavigationProperty Name="Employe" Relationship="Self.FK_Employe_Position" FromRole="Position" ToRole="Employe" />
        </EntityType>
        <EntityType Name="Product">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Title" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="ProductTypeID" Type="Int32" Nullable="false" />
          <Property Name="Price" Type="Decimal" Precision="10" Scale="2" Nullable="false" />
          <Property Name="Discrtiption" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="QuantityInStock" Type="Int32" Nullable="false" />
          <NavigationProperty Name="ProductType" Relationship="Self.FK_Product_ProductType" FromRole="Product" ToRole="ProductType" />
          <NavigationProperty Name="ProductOrder" Relationship="Self.FK_ProductOrder_Product" FromRole="Product" ToRole="ProductOrder" />
          <Property Name="Photo" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
        </EntityType>
        <EntityType Name="ProductOrder">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="OrderID" Type="Int32" Nullable="false" />
          <Property Name="ProductID" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Order" Relationship="Self.FK_ProductOrder_Order" FromRole="ProductOrder" ToRole="Order" />
          <NavigationProperty Name="Product" Relationship="Self.FK_ProductOrder_Product" FromRole="ProductOrder" ToRole="Product" />
          <Property Name="Quantity" Type="Int32" />
        </EntityType>
        <EntityType Name="ProductType">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Title" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="Product" Relationship="Self.FK_Product_ProductType" FromRole="ProductType" ToRole="Product" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="principal_id" Type="Int32" Nullable="false" />
          <Property Name="diagram_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="version" Type="Int32" />
          <Property Name="definition" Type="Binary" MaxLength="Max" FixedLength="false" />
        </EntityType>
        <Association Name="FK_Client_Gender">
          <End Role="Gender" Type="Self.Gender" Multiplicity="1" />
          <End Role="Client" Type="Self.Client" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Gender">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Client">
              <PropertyRef Name="GenderID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Order_Client">
          <End Role="Client" Type="Self.Client" Multiplicity="1" />
          <End Role="Order" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Client">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Order">
              <PropertyRef Name="ClientID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Employe_Gender">
          <End Role="Gender" Type="Self.Gender" Multiplicity="1" />
          <End Role="Employe" Type="Self.Employe" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Gender">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Employe">
              <PropertyRef Name="GenderID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Employe_Position">
          <End Role="Position" Type="Self.Position" Multiplicity="1" />
          <End Role="Employe" Type="Self.Employe" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Position">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Employe">
              <PropertyRef Name="PositionID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Order_Employe">
          <End Role="Employe" Type="Self.Employe" Multiplicity="1" />
          <End Role="Order" Type="Self.Order" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Employe">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Order">
              <PropertyRef Name="EmployeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductOrder_Order">
          <End Role="Order" Type="Self.Order" Multiplicity="1" />
          <End Role="ProductOrder" Type="Self.ProductOrder" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Order">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="ProductOrder">
              <PropertyRef Name="OrderID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_Product_ProductType">
          <End Role="ProductType" Type="Self.ProductType" Multiplicity="1" />
          <End Role="Product" Type="Self.Product" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductType">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="Product">
              <PropertyRef Name="ProductTypeID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductOrder_Product">
          <End Role="Product" Type="Self.Product" Multiplicity="1" />
          <End Role="ProductOrder" Type="Self.ProductOrder" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Product">
              <PropertyRef Name="ID" />
            </Principal>
            <Dependent Role="ProductOrder">
              <PropertyRef Name="ProductID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="Entitiess" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Client" EntityType="Self.Client" />
          <EntitySet Name="Employe" EntityType="Self.Employe" />
          <EntitySet Name="Gender" EntityType="Self.Gender" />
          <EntitySet Name="Order" EntityType="Self.Order" />
          <EntitySet Name="Position" EntityType="Self.Position" />
          <EntitySet Name="Product" EntityType="Self.Product" />
          <EntitySet Name="ProductOrder" EntityType="Self.ProductOrder" />
          <EntitySet Name="ProductType" EntityType="Self.ProductType" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" />
          <AssociationSet Name="FK_Client_Gender" Association="Self.FK_Client_Gender">
            <End Role="Gender" EntitySet="Gender" />
            <End Role="Client" EntitySet="Client" />
          </AssociationSet>
          <AssociationSet Name="FK_Order_Client" Association="Self.FK_Order_Client">
            <End Role="Client" EntitySet="Client" />
            <End Role="Order" EntitySet="Order" />
          </AssociationSet>
          <AssociationSet Name="FK_Employe_Gender" Association="Self.FK_Employe_Gender">
            <End Role="Gender" EntitySet="Gender" />
            <End Role="Employe" EntitySet="Employe" />
          </AssociationSet>
          <AssociationSet Name="FK_Employe_Position" Association="Self.FK_Employe_Position">
            <End Role="Position" EntitySet="Position" />
            <End Role="Employe" EntitySet="Employe" />
          </AssociationSet>
          <AssociationSet Name="FK_Order_Employe" Association="Self.FK_Order_Employe">
            <End Role="Employe" EntitySet="Employe" />
            <End Role="Order" EntitySet="Order" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductOrder_Order" Association="Self.FK_ProductOrder_Order">
            <End Role="Order" EntitySet="Order" />
            <End Role="ProductOrder" EntitySet="ProductOrder" />
          </AssociationSet>
          <AssociationSet Name="FK_Product_ProductType" Association="Self.FK_Product_ProductType">
            <End Role="ProductType" EntitySet="ProductType" />
            <End Role="Product" EntitySet="Product" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductOrder_Product" Association="Self.FK_ProductOrder_Product">
            <End Role="Product" EntitySet="Product" />
            <End Role="ProductOrder" EntitySet="ProductOrder" />
          </AssociationSet>
          <FunctionImport Name="sp_alterdiagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
            <Parameter Name="version" Mode="In" Type="Int32" />
            <Parameter Name="definition" Mode="In" Type="Binary" />
          </FunctionImport>
          <FunctionImport Name="sp_creatediagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
            <Parameter Name="version" Mode="In" Type="Int32" />
            <Parameter Name="definition" Mode="In" Type="Binary" />
          </FunctionImport>
          <FunctionImport Name="sp_dropdiagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
          </FunctionImport>
          <FunctionImport Name="sp_helpdiagramdefinition" ReturnType="Collection(Model.sp_helpdiagramdefinition_Result)">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
          </FunctionImport>
          <FunctionImport Name="sp_helpdiagrams" ReturnType="Collection(Model.sp_helpdiagrams_Result)">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
          </FunctionImport>
          <FunctionImport Name="sp_renamediagram">
            <Parameter Name="diagramname" Mode="In" Type="String" />
            <Parameter Name="owner_id" Mode="In" Type="Int32" />
            <Parameter Name="new_diagramname" Mode="In" Type="String" />
          </FunctionImport>
          <FunctionImport Name="sp_upgraddiagrams" />
        </EntityContainer>
        <ComplexType Name="sp_helpdiagramdefinition_Result">
          <Property Type="Int32" Name="version" Nullable="true" />
          <Property Type="Binary" Name="definition" Nullable="true" />
        </ComplexType>
        <ComplexType Name="sp_helpdiagrams_Result">
          <Property Type="String" Name="Database" Nullable="true" MaxLength="128" />
          <Property Type="String" Name="Name" Nullable="false" MaxLength="128" />
          <Property Type="Int32" Name="ID" Nullable="false" />
          <Property Type="String" Name="Owner" Nullable="true" MaxLength="128" />
          <Property Type="Int32" Name="OwnerID" Nullable="false" />
        </ComplexType>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="Хранилище ModelContainer" CdmEntityContainer="Entitiess">
          <EntitySetMapping Name="Client">
            <EntityTypeMapping TypeName="Model.Client">
              <MappingFragment StoreEntitySet="Client">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="Patronymic" ColumnName="Patronymic" />
                <ScalarProperty Name="Phone" ColumnName="Phone" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="GenderID" ColumnName="GenderID" />
                <ScalarProperty Name="RegistrationDate" ColumnName="RegistrationDate" />
                <ScalarProperty Name="Password" ColumnName="Password" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Employe">
            <EntityTypeMapping TypeName="Model.Employe">
              <MappingFragment StoreEntitySet="Employe">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="Patronymic" ColumnName="Patronymic" />
                <ScalarProperty Name="Phone" ColumnName="Phone" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="PositionID" ColumnName="PositionID" />
                <ScalarProperty Name="GenderID" ColumnName="GenderID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Gender">
            <EntityTypeMapping TypeName="Model.Gender">
              <MappingFragment StoreEntitySet="Gender">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Name" ColumnName="Name" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Order">
            <EntityTypeMapping TypeName="Model.Order">
              <MappingFragment StoreEntitySet="Order">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="EmployeID" ColumnName="EmployeID" />
                <ScalarProperty Name="ClientID" ColumnName="ClientID" />
                <ScalarProperty Name="OrderDate" ColumnName="OrderDate" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Position">
            <EntityTypeMapping TypeName="Model.Position">
              <MappingFragment StoreEntitySet="Position">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Salary" ColumnName="Salary" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Product">
            <EntityTypeMapping TypeName="Model.Product">
              <MappingFragment StoreEntitySet="Product">
                <ScalarProperty Name="Photo" ColumnName="Photo" />
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Title" ColumnName="Title" />
                <ScalarProperty Name="ProductTypeID" ColumnName="ProductTypeID" />
                <ScalarProperty Name="Price" ColumnName="Price" />
                <ScalarProperty Name="Discrtiption" ColumnName="Discrtiption" />
                <ScalarProperty Name="QuantityInStock" ColumnName="QuantityInStock" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="ProductOrder">
            <EntityTypeMapping TypeName="Model.ProductOrder">
              <MappingFragment StoreEntitySet="ProductOrder">
                <ScalarProperty Name="Quantity" ColumnName="Quantity" />
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="OrderID" ColumnName="OrderID" />
                <ScalarProperty Name="ProductID" ColumnName="ProductID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="ProductType">
            <EntityTypeMapping TypeName="Model.ProductType">
              <MappingFragment StoreEntitySet="ProductType">
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Title" ColumnName="Title" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="sysdiagrams">
            <EntityTypeMapping TypeName="Model.sysdiagrams">
              <MappingFragment StoreEntitySet="sysdiagrams">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="principal_id" ColumnName="principal_id" />
                <ScalarProperty Name="diagram_id" ColumnName="diagram_id" />
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <FunctionImportMapping FunctionImportName="sp_alterdiagram" FunctionName="Хранилище Model.sp_alterdiagram" />
          <FunctionImportMapping FunctionImportName="sp_creatediagram" FunctionName="Хранилище Model.sp_creatediagram" />
          <FunctionImportMapping FunctionImportName="sp_dropdiagram" FunctionName="Хранилище Model.sp_dropdiagram" />
          <FunctionImportMapping FunctionImportName="sp_helpdiagramdefinition" FunctionName="Хранилище Model.sp_helpdiagramdefinition">
            <ResultMapping>
              <ComplexTypeMapping TypeName="Model.sp_helpdiagramdefinition_Result">
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="sp_helpdiagrams" FunctionName="Хранилище Model.sp_helpdiagrams">
            <ResultMapping>
              <ComplexTypeMapping TypeName="Model.sp_helpdiagrams_Result">
                <ScalarProperty Name="Database" ColumnName="Database" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="ID" ColumnName="ID" />
                <ScalarProperty Name="Owner" ColumnName="Owner" />
                <ScalarProperty Name="OwnerID" ColumnName="OwnerID" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="sp_renamediagram" FunctionName="Хранилище Model.sp_renamediagram" />
          <FunctionImportMapping FunctionImportName="sp_upgraddiagrams" FunctionName="Хранилище Model.sp_upgraddiagrams" />
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="Нет" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>